base-4.6.0.1: Basic libraries

Portability | portable
Stability | provisional
Maintainer | ffi@haskell.org
Safe Haskell | Safe

Foreign.Marshal.Safe

Description

Marshalling support

Safe API Only.

Synopsis

- module Foreign.Marshal.Alloc
- module Foreign.Marshal.Array
- module Foreign.Marshal.Error
- module Foreign.Marshal.Pool
- module Foreign.Marshal.Utils

# Documentation

The module Foreign.Marshal.Safe re-exports the other modules in the `Foreign.Marshal` hierarchy:

module Foreign.Marshal.Alloc

module Foreign.Marshal.Array

module Foreign.Marshal.Error

module Foreign.Marshal.Pool

module Foreign.Marshal.Utils